<?php

declare(strict_types=1);

namespace PHPMax\Api\Chats;

use PHPMax\Support\Model;

class FetchJoinRequests extends Model
{
     
    public $chatId;
     
    public $type = 'JOIN_REQUEST';
     
    public $count = 100;

    protected static function schema(): array
    {
        return [
            'chatId' => ['type' => 'int', 'required' => true],
            'type' => ['type' => 'string', 'default' => 'JOIN_REQUEST'],
            'count' => ['type' => 'int', 'default' => 100],
        ];
    }
}
